DBM_PN = {
	["en"] = {
		[250] = {
			[1] = "the load on demand system now uses GetAddOnMetadata()",
			[2] = "added an option to change the color of the special warning",
			[3] = "updated Maiden of Virtue mod for patch 2.0.10",
			[4] = "added a warning for Maiden of Virtue's Holy Fire",
			[5] = "added a warning for Moroes' Garrote",
			[6] = "added a warning for Shade of Aran's Blizzard",
			[7] = "added a timer for Shade of Aran's Elementals",
			[8] = "adjusted Gruul timers",
			[9] = "added a 15 yard range check frame (bandage range)",
			[10] = "fixed \"autoClearAFK CVar\" bug",
			[11] = "fixed status command for raid members",
			[12] = "added Magtheridon boss mod",
			[13] = "added Doomwalker boss mod",
			[14] = "added Hydross the Unstable boss mod",
			[15] = "added Fathom-Lord Karathress boss mod",
			[16] = "added Morogrim Tidewalker boss mod",
			[17] = "added The Lurker Below boss mod",
		},
	},
}

StaticPopupDialogs["COPY_DBM_URL"] = {
	text = DBM_COPY_PASTE_NOW,
	button1 = DBM_CLOSE,
	hasEditBox = 1,	
	button2 = "",
	
	OnShow = function()
		getglobal(this:GetName().."EditBox"):SetText("http://www.deadlybossmods.com");
		getglobal(this:GetName().."EditBox"):SetFocus();
		getglobal(this:GetName().."EditBox"):HighlightText();
		getglobal(this:GetName().."Button2"):Hide();
		getglobal(this:GetName().."Button1"):ClearAllPoints();
		getglobal(this:GetName().."Button1"):SetPoint("TOP", getglobal(this:GetName().."EditBox"), "BOTTOM", 0, -8);		
	end,
	OnHide = function()
		if ( ChatFrameEditBox:IsVisible() ) then
			ChatFrameEditBox:SetFocus();
		end
		getglobal(this:GetName().."EditBox"):SetText("");
		getglobal(this:GetName().."Button2"):Show();
	end,
	EditBoxOnEnterPressed = function()
		this:GetParent():Hide();
	end,
	EditBoxOnEscapePressed = function()
		this:GetParent():Hide();
	end,
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
	hideOnEscape = 1
};

StaticPopupDialogs["OLD_VERSION_DETECTED"] = {
	text = DBM_ERROR_LVBM_STILL_LOADED,
	button1 = DBM_DISABLE_AND_RELOAD,
	
	OnAccept = function()
		DisableAddOn("LVBM_API");
		ReloadUI();
	end,
	
	timeout = 0,
	exclusive = 1,
	whileDead = 1,
};